| Home | Libraries | People | FAQ | More

## BoostBook element `enum`

enum — Declares an enumeration type

## Synopsis

enum ::= (enumvalue*, purpose?, description?)

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2008-06-15 15:48:40 -0400 (Sun, 15 Jun 2008) $ to keep "last revised" information in sync with CVS changes
name | #REQUIRED | CDATA | The name of the element being declared to referenced
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes